//---------------------------------------------------------------------------
#ifndef Demo1FrmH
#define Demo1FrmH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
class TfrmDemo1 : public TForm
{
__published:	// IDE-managed Components
    TListBox *lst;
    TRichView *rv;
    TPopupMenu *pm;
    TMenuItem *mitShowCP;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall rvCheckpointVisible(TCustomRichView *Sender,
    TCheckpointData CheckpointData);
    void __fastcall lstDblClick(TObject *Sender);
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall pmPopup(TObject *Sender);
    void __fastcall mitShowCPClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TfrmDemo1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmDemo1 *frmDemo1;
//---------------------------------------------------------------------------
#endif
